SystemOrganization addCategory: #ConfigurationOfArbitraryPrecisionFloat!

Object subclass: #ConfigurationOfArbitraryPrecisionFloat
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfArbitraryPrecisionFloat'!

!ConfigurationOfArbitraryPrecisionFloat commentStamp: '<historical>' prior: 0!
Copy me to create a new configuration or edit and evaluate the following doits.

        "Create configuration class and initial baseline method"

        MetacelloToolBox 
                createBaseline: '1.0-baseline'
                for: 'MyProject'
                repository: 'http://www.example.com/MyProjectRepository'
                requiredProjects: #('Gofer')
                packages: #('MyProject-Core' 'MyProject-Tests')
                dependencies:
                        {('MyProject-Core' -> #('Gofer')).
                         ('MyProject-Tests' -> #('MyProject-Core'))}
                groups:
                        {('default' -> #('Core')).
                        ('Core' -> #('MyProject-Core')).
                        ('Tests' -> #('MyProject-Tests'))}.

	   "create initial development method from the baseline"

         MetacelloToolBox
               createDevelopment: '1.0'
               for: 'MyProject'
                importFromBaseline: '1.0-baseline'
                description: 'initial version'.
!

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'development support' stamp: 'nice 3/16/2014 00:20'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'private' stamp: 'nice 3/16/2014 00:20'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'catalog' stamp: 'nice 3/16/2014 01:19'!
catalogChangeLog
	"Returns a paragraph describing the most important changes in the configuration class."
	^ '- 1.0 - 2014/03/16 - version ported to Pharo 3.0
[[[
	( ConfigurationOfArbitraryPrecisionFloat project version: ''1.0'' ) load.					
]]]'! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'catalog' stamp: 'nice 3/16/2014 00:50'!
catalogContactInfo
	"Returns a paragraph describing contact information such as email, mailing lists and website."
	^ 'ArbitraryPrecisionFloat is maintained at https://code.google.com/p/arbitrary-precision-float/ . Author can be reached at nicolas.cellier.aka.nice@gmail.com'! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'catalog' stamp: 'nice 3/16/2014 00:37'!
catalogDescription
	"Returns a paragraph describing the project"
	^ 'ArbitraryPrecisionFloat package creates a new floating point Number with arbitrary precision. See https://code.google.com/p/arbitrary-precision-float/ for more information.'! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'catalog' stamp: 'nice 3/16/2014 00:48'!
catalogKeyClassesAndExample
	"Returns a paragraph or more describing the key classes of your project. You can use Pillar/Pier syntax to layout out the text i.e., ==Code== and - for bullet."
	^ 'ArbitraryPrecisionFloat has mainly one class unsurprisingly named ==ArbitraryPrecisionFloat==.
It is a subclass of ==Number== capable of arbitrary precision arithmetic, like calculating the decimals of pi ==(0 asArbitraryPrecisionFloatNumBits: 1000) pi== like emulating other precisions ==(ArbitraryPrecisionFloat readFrom: ''0.1'' numBits: 24)+(ArbitraryPrecisionFloat readFrom: ''0.2'' numBits: 24)==, or evaluating some function more accurately ==(7 asArbitraryPrecisionFloatNumBits: 100) ln asFloat = 7 ln==.
More examples can be found at https://code.google.com/p/arbitrary-precision-float/wiki/UsingArbitraryPrecisionFloat'! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'catalog' stamp: 'nice 3/16/2014 00:36'!
catalogKeywords
	"Returns an array of symbols"
	^ #(math number float) ! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'private' stamp: 'nice 3/16/2014 00:20'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'private' stamp: 'nice 3/16/2014 00:20'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'metacello tool support' stamp: 'nice 3/16/2014 00:20'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'loading' stamp: 'nice 3/16/2014 00:20'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'loading' stamp: 'nice 3/16/2014 00:20'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'loading' stamp: 'nice 3/16/2014 00:20'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'accessing' stamp: 'nice 3/16/2014 00:20'!
project

	^self new project! !

!ConfigurationOfArbitraryPrecisionFloat class methodsFor: 'development support' stamp: 'nice 3/16/2014 00:20'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfArbitraryPrecisionFloat methodsFor: 'baselines' stamp: 'nice 1/21/2015 22:29'!
baseline100: spec 
        <version: '1.0-baseline'>
        
        spec for: #common do: [
                spec blessing: #baseline.
                spec repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.    
                spec 
                        package: 'ArbitraryPrecisionFloat';
                        package: 'ArbitraryPrecisionFloatTests' with: [ spec requires: 'ArbitraryPrecisionFloat' ].
                spec
                        group: 'default' with: #('Core');
                        group: 'Core' with: #('ArbitraryPrecisionFloat');
                        group: 'Tests' with: #('ArbitraryPrecisionFloatTests'). ].
        spec for: #'pharo3.0.x' do: [
                spec
                        group: 'Core' with: #('ExtendedNumberParser').].
        spec for: #'pharo4.0.x' do: [
                spec
                        group: 'Core' with: #('ExtendedNumberParser').].! !

!ConfigurationOfArbitraryPrecisionFloat methodsFor: 'accessing' stamp: 'nice 3/16/2014 00:20'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfArbitraryPrecisionFloat methodsFor: 'accessing' stamp: 'nice 3/16/2014 00:20'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfArbitraryPrecisionFloat methodsFor: 'symbolic versions' stamp: 'nice 1/21/2015 23:16'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0.1'.
! !

!ConfigurationOfArbitraryPrecisionFloat methodsFor: 'versions' stamp: 'nice 1/21/2015 22:30'!
version100: spec 
        <version: '1.0' imports: #('1.0-baseline') >
        
        spec for: #common do: [
                spec blessing: #release.
                spec 
                        package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-nice.38';
                        package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-nice.16'].
        spec for: #'pharo3.0.x' do: [
                spec 
                        package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1'.].
        spec for: #'pharo4.0.x' do: [
                spec 
                        package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1'.].! !

!ConfigurationOfArbitraryPrecisionFloat methodsFor: 'versions' stamp: 'nice 1/21/2015 23:18'!
version101: spec 
        <version: '1.0.1' imports: #('1.0-baseline') >
        
        spec for: #common do: [
                spec blessing: #release.
                spec 
                        package: 'ArbitraryPrecisionFloat' with: 'ArbitraryPrecisionFloat-nice.43';
                        package: 'ArbitraryPrecisionFloatTests' with: 'ArbitraryPrecisionFloatTests-nice.18'].
        spec for: #'pharo3.0.x' do: [
                spec 
                        package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1'.].
        spec for: #'pharo4.0.x' do: [
                spec 
                        package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-nice.1'.].! !
